﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Yokogawa DL1720: (1 year) VER IEEE /9500+2Hd
DATE:                  2017-04-13 13:13:32
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       136
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Source(s):
#        Yokogawa DL1720/DL1740 Digital Oscilloscope
#        Service Manual, SM 701710-01E, 4th Edition, July 2002
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         600MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         600MH                        1Vpp           LS    S  L
  1.006  ENDIF

  1.007  IF           NOT(VERSIONCHECK("7.3"))
  1.008  END
  1.009  ENDIF

  1.010  ASK-   R   Q N              P                            A        V

  1.011  CALL         Sub Display Copyright
  1.012  CALL         Sub High Voltage Safety Warning
  1.013  CALL         Sub Select Failed Test Mode
  1.014  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.015  HEAD         PRELIMINARY INSTRUCTIONS
  1.016  DISP         Ambient temperature: 18 °C - 28 °C.
  1.016  DISP         Relative humidity: less than 80 %.
  1.016  DISP         Warmup time: 30 minutes.

  1.017  HEAD         PRELIMINARY INSTRUCTIONS
  1.018  CALL         Sub Yokogawa DL17x0 Setup Interface IEEE
  1.019  CALL         Sub UUT Connection GPIB

  1.020  MATH         @UUT_Manufacturer = "YOKOGAWA"
  1.021  MATH         @UUT_Model        = "DL1720"
  1.022  MATH         @UUT_AssetNum     = UUT()

  1.023  IF           NOT(EMPTY(@UUT_AssetNum))
  1.024  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.025  ENDIF

  1.026  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.027  CALL         Sub Yokogawa DL17x0 Model Number

  1.028  IF           @Abort
  1.029  END
  1.030  ENDIF

  1.031  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.032  IF           @Abort
  1.033  END
  1.034  ENDIF

  1.035  RESET        *CLS
  1.036  IEEE2        *RST

  1.037  CALL         Sub Yokogawa Set Bandwidth & Num_Chan
  1.038  CALL         Sub Yokogawa DL17x0 Self Test IEEE

  1.039  DISP         Connect the 9500 to the UUT as follows:
  1.039  DISP         [32] CH 1 Active Head to UUT CH 1
  1.039  DISP         [32] CH 2 Active Head to UUT CH 2

  1.040  MATH         M[1] = 1
  1.041  M9500                       CH1
  1.042  CALL         Sub Yokogawa DL17x0 (1 yr) Timebase Acc IEEE /9500
  1.043  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /9500
  1.044  MATH         M[1] = 2
  1.045  M9500                       CH2
  1.046  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /9500

  1.047  MATH         M[1] = 1
  1.048  M9500                       CH1
  1.049  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Lev Acc IEEE /9500
  1.050  MATH         M[1] = 2
  1.051  M9500                       CH2
  1.052  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Lev Acc IEEE /9500

  1.053  MATH         M[1] = 1
  1.054  M9500                       CH1
  1.055  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Sens IEEE /9500
  1.056  MATH         M[1] = 2
  1.057  M9500                       CH2
  1.058  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Sens IEEE /9500

  1.059  MATH         M[1] = 1
  1.060  M9500                       CH1
  1.061  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /9500
  1.062  MATH         M[1] = 2
  1.063  M9500                       CH2
  1.064  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /9500

  1.065  MATH         M[1] = 1
  1.066  M9500                       CH1
  1.067  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /9500
  1.068  MATH         M[1] = 2
  1.069  M9500                       CH2
  1.070  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /9500

  1.071  END
